Subject: [bug#76503] [GCD] Migrating repositories, issues, and patches to Codeberg

From: Konrad Hinsen <[email-masked]>
Date: Mon, 03 Mar 2025 08:54:23 +0100

Konrad Hinsen <[email-masked]> writes:

> Overall, I am very favorable to moving to a forge because of point 1. I
> don't see anything objectively wrong or bad about the current e-mail
> workflow, but for an occasional (or new) contributor its hard to become
> fluent with it. In contrast, forges are becoming standard even for many
> non-coders.

One more point that I forgot: moving to a forge could be even more
beneficial for increasing the number of people reviewing patches.  For
submitting a patch, the current workflow is unusual but not so
complicated. For reviewing, I don't even know how to do it, in
particular how to apply and test patches from an e-mail message in a
sufficiently automated way. In contrast, on a forge, I could well
imaging participating in reviewing patches for ecosystems I am familiar
with.

Cheers,
  Konrad.